List Bill Drafts
curl --request GET \
--url https://api.meetcampfire.com/coa/api/v1/bill-draft \
--header 'Authorization: <api-key>'import requests
url = "https://api.meetcampfire.com/coa/api/v1/bill-draft"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.meetcampfire.com/coa/api/v1/bill-draft', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": 123,
"customer": 123,
"dedup_hash": "<string>",
"promoted_bill": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by": 123,
"last_modified_at": "2023-11-07T05:31:56Z",
"entity": 123,
"source_file": 123,
"sender_email": "<string>",
"recipient_alias": "<string>",
"email_subject": "<string>",
"parse_error": "<string>",
"extracted_vendor_name": "<string>",
"extracted_bill_number": "<string>",
"extracted_bill_date": "2023-12-25",
"extracted_due_date": "2023-12-25",
"extracted_currency": "<string>",
"extracted_total_amount": 0,
"extracted_line_items": "<unknown>",
"field_confidence": "<unknown>",
"resolved_vendor": 123,
"discard_reason": "<string>"
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}Accounts Payable
List Bill Drafts
GET list (customer-scoped, AG Grid server-side: paginate / sort / filter) + POST UI upload.
GET
/
coa
/
api
/
v1
/
bill-draft
List Bill Drafts
Authorizations
Token-based authentication with required prefix "Token"
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
⌘I